## opennebula 4.5.80

=== SConstruct ===
# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os
import sys
import shutil
sys.path.append("./share/scons")
from lex_bison import *

# This is the absolute path where the project is located
cwd=os.getcwd()

# Environment that will be applied to each scons child
main_env=Environment()
main_env['ENV']['PATH']=os.environ['PATH']

# snippet borrowed from http://dev.gentoo.org/~vapier/scons-blows.txt
# makes scons aware of build related environment variables
if os.environ.has_key('CC'):
    main_env['CC'] = os.environ['CC']
if os.environ.has_key('CFLAGS'):
    main_env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CFLAGS'])
if os.environ.has_key('CXX'):
    main_env['CXX'] = os.environ['CXX']
if os.environ.has_key('CXXFLAGS'):
    main_env['CXXFLAGS'] += SCons.Util.CLVar(os.environ['CXXFLAGS'])
if os.environ.has_key('LDFLAGS'):
    main_env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])
else:
    os.environ['LDFLAGS']=""

# Add builders for flex and bison
add_lex(main_env)
add_bison(main_env)

# Include dirs
main_env.Append(CPPPATH=[
    cwd+'/include',
])

# Library dirs
main_env.Append(LIBPATH=[
    cwd+'/src/common',
    cwd+'/src/log',
    cwd+'/src/sql',
    cwd+'/src/host',
    cwd+'/src/cluster',
    cwd+'/src/datastore',
    cwd+'/src/group',
    cwd+'/src/mad',
    cwd+'/src/nebula',
    cwd+'/src/pool',
    cwd+'/src/template',
    cwd+'/src/vm',
    cwd+'/src/vm_template',
    cwd+'/src/vmm',
    cwd+'/src/lcm',
    cwd+'/src/tm',
    cwd+'/src/dm',
    cwd+'/src/im',
    cwd+'/src/image',
    cwd+'/src/rm',
    cwd+'/src/vnm',
    cwd+'/src/hm',
    cwd+'/src/um',
    cwd+'/src/authm',
    cwd+'/src/acl',
    cwd+'/src/xml',
    cwd+'/src/document',
    cwd+'/src/zone',
    cwd+'/src/client',
])

# Compile flags
main_env.Append(CPPFLAGS=[
    "-g",
    "-Wall"
])

# Linking flags
main_env.Append(LINKFLAGS=['-g', '-pthread'])

#######################
# EXTRA CONFIGURATION #
#######################

# SQLITE
sqlite_dir=ARGUMENTS.get('sqlite_dir', 'none')
if sqlite_dir!='none':
    main_env.Append(LIBPATH=[sqlite_dir+"/lib", sqlite_dir+"/lib64"])
    main_env.Append(CPPPATH=[sqlite_dir+"/include"])

sqlite=ARGUMENTS.get('sqlite', 'yes')
if sqlite=='yes':
    main_env.Append(sqlite='yes')
    main_env.Append(CPPFLAGS=["-DSQLITE_DB"])
    main_env.Append(LIBS=['sqlite3'])
else:
    main_env.Append(sqlite='no')

# MySQL
mysql=ARGUMENTS.get('mysql', 'no')
if mysql=='yes':
    main_env.Append(mysql='yes')
    main_env.Append(CPPFLAGS=["-DMYSQL_DB"])
    main_env.Append(LIBS=['mysqlclient'])
else:
    main_env.Append(mysql='no')

# Flag to compile with xmlrpc-c versions prior to 1.31 (September 2012)
new_xmlrpc=ARGUMENTS.get('new_xmlrpc', 'no')
if new_xmlrpc=='yes':
    main_env.Append(new_xmlrpc='yes')
else:
    main_env.Append(new_xmlrpc='no')
    main_env.Append(CPPFLAGS=["-DOLD_XMLRPC"])

# SysLog
syslog=ARGUMENTS.get('syslog', 'no')
if syslog=='yes':
    main_env.Append(syslog='yes')
    main_env.Append(CPPFLAGS=["-DSYSLOG_LOG"])
    main_env.Append(LIBS=['pthread','log4cpp'])
else:
    main_env.Append(syslog='no')

# xmlrpc
xmlrpc_dir=ARGUMENTS.get('xmlrpc', 'none')
if xmlrpc_dir!='none':
    main_env.Append(LIBPATH=[xmlrpc_dir+"/lib", xmlrpc_dir+"/lib64"])
    main_env.Append(CPPPATH=[xmlrpc_dir+"/include"])

# build lex/bison
build_parsers=ARGUMENTS.get('parsers', 'no')
if build_parsers=='yes':
    main_env.Append(parsers='yes')
else:
    main_env.Append(parsers='no')

# Context pakages
context_packages=ARGUMENTS.get('context', 'no')
if context_packages=='no':
    main_env.Append(context=[])
elif context_packages=='all':
    main_env.Append(context=['deb', 'rpm'])
else:
    main_env.Append(context=context_packages.split(','))

# Rubygem generation
main_env.Append(rubygems=ARGUMENTS.get('rubygems', 'no'))

if not main_env.GetOption('clean'):
    try:
        if mysql=='yes':
            main_env.ParseConfig('mysql_config --cflags --libs')
    except Exception, e:
        print ""
        print "mysql_config was not found in the path"
        print ""
        print "Check that mysql development package is installed and"
        print "mysql_config is in the path. If your mysql config tool"
        print "is called mysql5_config make a symlink as mysql_config"
        print "to a directory in the path."
        print ""
        exit(-1)


    try:
        main_env.ParseConfig(("LDFLAGS='%s' share/scons/get_xmlrpc_config"+
            " server") % (os.environ['LDFLAGS'],))
        main_env.ParseConfig(("LDFLAGS='%s' share/scons/get_xmlrpc_config"+
            " client") % (os.environ['LDFLAGS'],))

    except Exception, e:
        print ""
        print "Error searching for xmlrpc-c libraries. Please check this"+\
            " things:"
        print ""
        print " * You have installed development libraries for xmlrpc-c. One"+\
            " way to check"
        print "   this is calling xmlrpc-c-config that is provided with the"+\
            " development"
        print "   package."
        print " * Check that the version of xmlrpc-c is at least 1.06. You"+\
            " can do this also"
        print "   calling:"
        print "   $ xmlrpc-c-config --version"
        print " * If all this requirements are already met please send log"+\
            " files located in"
        print "   .xmlrpc_test to the mailing list."
        print ""
        exit(-1)
else:
    main_env.Replace(mysql='yes')
    shutil.rmtree('.xmlrpc_test', True)
    shutil.rmtree('src/nebula/.xmlrpc_test', True)
    shutil.rmtree('src/scheduler/.xmlrpc_test', True)


# libxml2
main_env.ParseConfig('xml2-config --libs --cflags')


# SCONS scripts to build
build_scripts=[
    'src/sql/SConstruct',
    'src/log/SConstruct',
    'src/common/SConstruct',
    'src/template/SConstruct',
    'src/host/SConstruct',
    'src/cluster/SConstruct',
    'src/datastore/SConstruct',
    'src/group/SConstruct',
    'src/mad/SConstruct',
    'src/mad/utils/SConstruct',
    'src/nebula/SConstruct',
    'src/pool/SConstruct',
    'src/vm/SConstruct',
    'src/vm_template/SConstruct',
    'src/vmm/SConstruct',
    'src/lcm/SConstruct',
    'src/rm/SConstruct',
    'src/tm/SConstruct',
    'src/im/SConstruct',
    'src/image/SConstruct',
    'src/dm/SConstruct',
    'src/scheduler/SConstruct',
    'src/vnm/SConstruct',
    'src/hm/SConstruct',
    'src/um/SConstruct',
    'src/authm/SConstruct',
    'src/acl/SConstruct',
    'src/xml/SConstruct',
    'src/document/SConstruct',
    'src/zone/SConstruct',
    'share/man/SConstruct',
    'src/sunstone/locale/languages/SConstruct',
    'share/scripts/context-packages/SConstruct',
    'share/rubygems/SConstruct',
    'src/im_mad/collectd/SConstruct',
    'src/client/SConstruct'
]

for script in build_scripts:
    env=main_env.Clone()
    SConscript(script, exports='env')

=== share/man/SConstruct ===
# SConstruct for share/man

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

gzip_bld = Builder(action = 'gzip -c $SOURCE > $TARGET',
                   suffix = '.1.gz',
                   src_suffix = '.1')

env.Append(BUILDERS = {'Man' : gzip_bld})

env.Man('econe-allocate-address')
env.Man('econe-associate-address')
env.Man('econe-attach-volume')
env.Man('econe-create-keypair')
env.Man('econe-create-volume')
env.Man('econe-delete-keypair')
env.Man('econe-delete-volume')
env.Man('econe-describe-addresses')
env.Man('econe-describe-images')
env.Man('econe-describe-instances')
env.Man('econe-describe-keypairs')
env.Man('econe-describe-volumes')
env.Man('econe-detach-volume')
env.Man('econe-disassociate-address')
env.Man('econe-reboot-instances')
env.Man('econe-register')
env.Man('econe-release-address')
env.Man('econe-run-instances')
env.Man('econe-start-instances')
env.Man('econe-stop-instances')
env.Man('econe-terminate-instances')
env.Man('econe-upload')

env.Man('occi-compute')
env.Man('occi-network')
env.Man('occi-storage')
env.Man('oneacct')
env.Man('oneacl')
env.Man('oneauth')
env.Man('onecluster')
env.Man('onedatastore')
env.Man('onedb')
env.Man('onehost')
env.Man('oneimage')
env.Man('onetemplate')
env.Man('oneuser')
env.Man('onevm')
env.Man('onevnet')
env.Man('onegroup')
env.Man('onezone')

env.Man('oneflow')
env.Man('oneflow-template')

=== src/vnm/SConstruct ===
# SConstruct for src/vnm

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_vnm'

# Sources to generate the library
source_files=[
    'Leases.cc',
    'FixedLeases.cc',
    'RangedLeases.cc',
    'VirtualNetwork.cc',
    'VirtualNetworkPool.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== debian/changelog ===
opennebula (4.5.80-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Fri, 14 Mar 2014 22:29:59 +0100

=== debian/control ===
Source: opennebula
Section: utils
Priority: extra
Maintainer: Debian OpenNebula Maintainers <pkg-opennebula-devel@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
           Soren Hansen <soren@ubuntu.com>,
           Jaime Melis <jmelis@opennebula.org>
Build-Depends: bash-completion,
               bison,
               debhelper (>= 7.0.50~),
               default-jdk,
               flex,
               javahelper (>= 0.32),
               libmysql++-dev,
               liblog4cpp5-dev,
               libsqlite3-dev,
               libssl-dev,
               libws-commons-util-java,
               libxml2-dev,
               libxmlrpc-c3-dev,
               libxmlrpc3-client-java,
               libxmlrpc3-common-java,
               libxslt1-dev,
               ruby,
               scons
Standards-Version: 3.9.3
Homepage: http://opennebula.org/
Vcs-Git: git://git.debian.org/pkg-opennebula/opennebula.git
Vcs-Browser: http://git.debian.org/?p=pkg-opennebula/opennebula.git

Package: opennebula
Architecture: any
Depends: apg,
         genisoimage,
         opennebula-tools (= ${source:Version}),
         wget,
         curl,
         ruby-json,
         ruby-uuidtools,
         ruby-amazon-ec2,
         qemu-utils,
         liblog4cpp5,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: mysql-server
Description: controller which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package contains OpenNebula Controller which manage all nodes in the
 cloud.

Package: opennebula-sunstone
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         opennebula-tools (= ${source:Version}),
         thin,
         ruby-json,
         ruby-sinatra,
         ruby-rack,
         ${misc:Depends}
Description: web interface to which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 OpenNebula Sunstone is the new OpenNebula Cloud Operations Center,
 a GUI intended for users and admins, that will simplify the typical management
 operations in private and hybrid cloud infrastructures. You will be able to
 manage your virtual resources in a similar way as you do with the
 CLI.

Package: opennebula-gate
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-json,
         ruby-opennebula (= ${source:Version}),
         ruby-sinatra,
         ruby-rack,
         thin,
         ${misc:Depends}
Description: send information to OpenNebula from the Virtual Machines.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the server part to enable communication between the
 Virtual Machines and OpenNebula

Package: opennebula-flow
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-json,
         ruby-opennebula (= ${source:Version}),
         ruby-sinatra,
         thin,
         curl,
         ruby-treetop,
         ${misc:Depends}
Description: Manage services.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the server that allows service management.


Package: opennebula-common
Architecture: all
Depends: adduser, openssh-client, ${misc:Depends}
Recommends: lvm2, sudo (>= 1.7.2p1)
Description: empty package to create OpenNebula users and directories
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package sets up the basic directory structure and users needed to run
 an OpenNebula cloud.

Package: opennebula-node
Architecture: all
Depends: adduser,
         libvirt-bin,
         qemu-kvm,
         opennebula-common (= ${source:Version}),
         ruby,
         vlan,
         ${misc:Depends}
Recommends: openssh-server | ssh-server
Description: empty package to prepare a machine as OpenNebula Node
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package prepares the machine for being a node in an OpenNebula
 cloud.

Package: ruby-opennebula
Section: ruby
Architecture: all
Depends: ruby,
         ruby-mysql,
         ruby-password,
         ruby-sequel,
         ruby-sqlite3,
         ruby-nokogiri,
         rubygems,
         ${misc:Depends},
         ${ruby:Depends}
Description: Ruby bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Ruby bindings.

Package: opennebula-tools
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Description: Command-line tools for OpenNebula Cloud
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula CLI.

Package: libopennebula-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Java bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Java bindings.

Package: libopennebula-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java bindings for OpenNebula Cloud API (OCA) - documentation
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the documentation (Javadoc API) and examples for
 OpenNebula Cloud API (OCA) Java bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Handle group assignment: libvirt (Debian) and libvirtd (Ubuntu)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	LIB_VIRT_GROUP = libvirtd
	DISTRO = Ubuntu
else
	LIB_VIRT_GROUP = libvirt
	DISTRO = Debian
endif

dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed" dpkg-buildflags
# injecting CPPFLAGS to CFLAGS and CXXFLAGS
export CPPFLAGS:=$(shell $(dpkg_buildflags) --get CPPFLAGS)
export CFLAGS:=$(shell $(dpkg_buildflags) --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell $(dpkg_buildflags) --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell $(dpkg_buildflags) --get LDFLAGS)

%:
	dh $@ --with javahelper --with bash-completion

override_dh_auto_build:
	#scons  mysql=yes old_xmlrpc=yes #parsers=yes
	tar xzvf build_opennebula.tar.gz
	bash -x ./build_opennebula.sh syslog=yes
	(cd src/oca/java/; \
	ln -s /usr/share/java/xmlrpc-common-3.1.jar lib/; \
	ln -s /usr/share/java/xmlrpc-client-3.1.jar lib/; \
	ln -s /usr/share/java/ws-commons-util.jar lib/; \
	./build.sh -d)

override_dh_auto_install:
	DESTDIR=dist ./install.sh
	dh_auto_install
ifneq (,$(filter opennebula-common, $(shell dh_listpackages)))
	dh_install -p opennebula-common share/pkgs/${DISTRO}/opennebula.sudoers \
		/etc/sudoers.d
	mv debian/opennebula-common/etc/sudoers.d/opennebula.sudoers \
		debian/opennebula-common/etc/sudoers.d/opennebula
endif
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	dh_install -p opennebula share/pkgs/${DISTRO}/opennebula /etc/init.d/
	dh_installinit -p opennebula --name=opennebula --onlyscripts
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-sunstone /etc/init.d/
	dh_installinit -p opennebula-sunstone --name=sunstone --onlyscripts

	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-econe /etc/init.d/
	dh_installinit -p opennebula-sunstone --name=opennebula-econe --onlyscripts

	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-occi /etc/init.d/
	dh_installinit -p opennebula-sunstone --name=opennebula-occi --onlyscripts
endif
ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
	dh_install -p opennebula-gate share/pkgs/${DISTRO}/opennebula-gate /etc/init.d/
	dh_installinit -p opennebula-gate --name=opennebula-gate --onlyscripts
endif
ifneq (,$(filter opennebula-flow, $(shell dh_listpackages)))
	dh_install -p opennebula-flow share/pkgs/${DISTRO}/opennebula-flow /etc/init.d/
	dh_installinit -p opennebula-flow --name=opennebula-flow --onlyscripts
endif

override_dh_install:
	dh_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist/
	scons --clean .
	(cd src/oca/java/; \
	rm lib/xmlrpc-common-3.1.jar; \
	rm lib/xmlrpc-client-3.1.jar; \
	rm lib/ws-commons-util.jar; \
	rm -rf jar/; rm -rf share/doc/; \
	./build.sh -c)
	-rm -Rf .scons_temp
	-rm -Rf share/scons/lex_bison.pyc \
		src/nebula/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/src/sched/.xmlrpc_test \
		.xmlrpc_test
	-rm -Rf debian/opennebula-node.postinst

override_dh_installdeb:
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	sed "s/@LIBVIRTGRP@/${LIB_VIRT_GROUP}/g" debian/opennebula-node.postinst.in > debian/opennebula-node.postinst
endif
	dh_installdeb

override_dh_fixperms:
	dh_fixperms

# opennebula
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	find debian/opennebula/etc/one/ -type f -exec chmod 644 {} \;
	#chmod 755 debian/opennebula/usr/lib/one/remotes/im/common.d/ssh_pubkey.sh
endif

# ruby-opennebula
ifneq (,$(filter ruby-opennebula, $(shell dh_listpackages)))
	find debian/opennebula/etc/one/ -type f -exec chmod 644 {} \;
endif

# opennebula-tools
ifneq (,$(filter opennebula-tools, $(shell dh_listpackages)))
	find debian/opennebula/etc/one/ -type f -exec chmod 644 {} \;
	#chmod 755 debian/opennebula-tools/usr/lib/one/ruby/cloud/econe/EC2QueryClient.rb
	#chmod 755 debian/opennebula-tools/usr/lib/one/ruby/cloud/occi/OCCIClient.rb
endif

# opennebula-gate
ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
	find debian/opennebula/etc/one/ -type f -exec chmod 644 {} \;
endif

# opennebula-flow
ifneq (,$(filter opennebula-flow, $(shell dh_listpackages)))
	find debian/opennebula/etc/one/ -type f -exec chmod 644 {} \;
endif

# opennebula-common
ifneq (,$(filter opennebula-common, $(shell dh_listpackages)))
	chmod 0440 debian/opennebula-common/etc/sudoers.d/opennebula
endif

# opennebula-sunstone
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	#chmod 644 debian/opennebula/usr/lib/one/ruby/cloud/occi/*.rb
	#chmod 755 debian/opennebula/usr/share/opennebula/occi/occi-server.rb
endif

get-orig-source:
	uscan --force-download --no-symlink

## opennebula 4.5.85-20140423

=== debian/changelog ===
opennebula (4.5.85-20140423-1108) unstable; urgency=low

  * Modified by Stefan Kooman (stefan@bit.nl) for Trusty Tahr support

 -- Stefan Kooman <stefan@bit.nl>  Wed, 23 Apr 2014 11:11:37 +0200

opennebula (4.5.85-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org>  Fri, 11 Apr 2014 17:20:58 +0200

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,16 @@
                libssl-dev,
                libws-commons-util-java,
                libxml2-dev,
-               libxmlrpc-c3-dev,
+               libxmlrpc-core-c3-dev,
+               libxmlrpc-c++8-dev,
                libxmlrpc3-client-java,
                libxmlrpc3-common-java,
                libxslt1-dev,
                ruby,
                scons
+Replaces: opennebula-ozones
+Conflicts: opennebula-ozones
+Breaks: opennebula-ozones
 Standards-Version: 3.9.3
 Homepage: http://opennebula.org/
 Vcs-Git: git://git.debian.org/pkg-opennebula/opennebula.git
@@ -89,6 +93,7 @@
          ruby-rack,
          thin,
          ${misc:Depends}
+Conflicts: opennebula (<< ${source:Version})
 Description: send information to OpenNebula from the Virtual Machines.
  .
  ONE (OpenNebula) extends the benefits of virtualization platforms from a
@@ -164,7 +169,6 @@
          ruby-sequel,
          ruby-sqlite3,
          ruby-nokogiri,
-         rubygems,
          ${misc:Depends},
          ${ruby:Depends}
 Description: Ruby bindings for OpenNebula Cloud API (OCA)

## opennebula 4.6.0

=== share/man/SConstruct ===
--- 
+++ 
@@ -52,7 +52,6 @@
 env.Man('occi-storage')
 env.Man('oneacct')
 env.Man('oneacl')
-env.Man('oneauth')
 env.Man('onecluster')
 env.Man('onedatastore')
 env.Man('onedb')

=== share/scripts/context-packages/SConstruct ===
# SConstruct for share/scripts/context-packages

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os

Import('env')


types=env['context']

for type in types:
    print "Generating %s package\n" % (type)
    exit_code=os.system("PACKAGE_TYPE=\"%s\" ./generate.sh" % (type))

    if exit_code != 0:
        print "Error generating %s package\n" % (type)
        exit(-1)

=== debian/changelog ===
opennebula (4.6.0-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Fri, 25 Apr 2014 18:44:46 +0200

## opennebula 4.6.1

=== debian/changelog ===
opennebula (4.6.1-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Tue, 20 May 2014 18:05:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -44,13 +44,15 @@
 endif
 ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
 	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-sunstone /etc/init.d/
-	dh_installinit -p opennebula-sunstone --name=sunstone --onlyscripts
+	dh_installinit -p opennebula-sunstone --name=opennebula-sunstone --onlyscripts
 
 	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-econe /etc/init.d/
 	dh_installinit -p opennebula-sunstone --name=opennebula-econe --onlyscripts
 
 	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-occi /etc/init.d/
 	dh_installinit -p opennebula-sunstone --name=opennebula-occi --onlyscripts
+
+	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-novnc /etc/init.d/
 endif
 ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
 	dh_install -p opennebula-gate share/pkgs/${DISTRO}/opennebula-gate /etc/init.d/

## opennebula 4.6.2

=== debian/changelog ===
opennebula (4.6.2-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Wed, 11 Jun 2014 16:55:53 +0200

## opennebula 4.8.0

=== SConstruct ===
--- 
+++ 
@@ -149,15 +149,6 @@
     main_env.Append(parsers='yes')
 else:
     main_env.Append(parsers='no')
-
-# Context pakages
-context_packages=ARGUMENTS.get('context', 'no')
-if context_packages=='no':
-    main_env.Append(context=[])
-elif context_packages=='all':
-    main_env.Append(context=['deb', 'rpm'])
-else:
-    main_env.Append(context=context_packages.split(','))
 
 # Rubygem generation
 main_env.Append(rubygems=ARGUMENTS.get('rubygems', 'no'))
@@ -248,7 +239,6 @@
     'src/zone/SConstruct',
     'share/man/SConstruct',
     'src/sunstone/locale/languages/SConstruct',
-    'share/scripts/context-packages/SConstruct',
     'share/rubygems/SConstruct',
     'src/im_mad/collectd/SConstruct',
     'src/client/SConstruct'

=== share/man/SConstruct ===
--- 
+++ 
@@ -47,9 +47,6 @@
 env.Man('econe-terminate-instances')
 env.Man('econe-upload')
 
-env.Man('occi-compute')
-env.Man('occi-network')
-env.Man('occi-storage')
 env.Man('oneacct')
 env.Man('oneacl')
 env.Man('onecluster')

=== share/rubygems/SConstruct ===
# SConstruct for share/scripts/rubygems

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os

Import('env')

if env['rubygems']=='yes':
    print "Generating rubygems packages\n"
    exit_code=os.system("./generate")

    if exit_code != 0:
        print "Error generating rubygem packages\n"
        exit(-1)

=== src/authm/SConstruct ===
# SConstruct for src/authm

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_authm'

# Sources to generate the library
source_files=[
    'AuthManager.cc',
    'AuthManagerDriver.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/client/SConstruct ===
# SConstruct for src/pool

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_client'

source_files=['Client.cc']

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/common/SConstruct ===
# SConstruct for src/common

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_common'

# Sources to generate the library
source_files=[
    'ActionManager.cc',
    'Attribute.cc',
    'mem_collector.c',
    'NebulaUtil.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/datastore/SConstruct ===
# SConstruct for src/datastore

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_datastore'

# Sources to generate the library
source_files=[
    'DatastorePool.cc',
    'Datastore.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/dm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_dm'

# Sources to generate the library
source_files=[
    'DispatchManager.cc',
    'DispatchManagerActions.cc',
    'DispatchManagerStates.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/hm/SConstruct ===
# SConstruct for src/hm

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_hm'

# Sources to generate the library
source_files=[
    'Hook.cc',
    'HookManager.cc',
    'HookManagerDriver.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/image/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_image'

# Sources to generate the library
source_files=[
    'Image.cc',
    'ImagePool.cc',
    'ImageManagerDriver.cc',
    'ImageManager.cc',
    'ImageManagerActions.cc',
    'ImageTemplate.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/lcm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_lcm'

# Sources to generate the library
source_files=[
    'LifeCycleManager.cc',
    'LifeCycleActions.cc',
    'LifeCycleStates.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/log/SConstruct ===
# SConstruct for src/log

# -------------------------------------------------------------------------- #
# Copyright 2002-2014, OpenNebula Project (OpenNebula.org), C12G Labs        #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_log'

# Sources to generate the library
source_files=[
    'NebulaLog.cc',
    'Log.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== debian/changelog ===
opennebula (4.8.0-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Mon, 11 Aug 2014 21:33:10 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                libssl-dev,
                libws-commons-util-java,
                libxml2-dev,
-               libxmlrpc-core-c3-dev,
                libxmlrpc-c++8-dev,
                libxmlrpc3-client-java,
                libxmlrpc3-common-java,

=== debian/rules ===
--- 
+++ 
@@ -48,9 +48,6 @@
 
 	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-econe /etc/init.d/
 	dh_installinit -p opennebula-sunstone --name=opennebula-econe --onlyscripts
-
-	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-occi /etc/init.d/
-	dh_installinit -p opennebula-sunstone --name=opennebula-occi --onlyscripts
 
 	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}/opennebula-novnc /etc/init.d/
 endif
@@ -108,7 +105,6 @@
 ifneq (,$(filter opennebula-tools, $(shell dh_listpackages)))
 	find debian/opennebula/etc/one/ -type f -exec chmod 644 {} \;
 	#chmod 755 debian/opennebula-tools/usr/lib/one/ruby/cloud/econe/EC2QueryClient.rb
-	#chmod 755 debian/opennebula-tools/usr/lib/one/ruby/cloud/occi/OCCIClient.rb
 endif
 
 # opennebula-gate
@@ -128,8 +124,6 @@
 
 # opennebula-sunstone
 ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
-	#chmod 644 debian/opennebula/usr/lib/one/ruby/cloud/occi/*.rb
-	#chmod 755 debian/opennebula/usr/share/opennebula/occi/occi-server.rb
 endif
 
 get-orig-source:
